<div class="wizard-testng-configuration">
    <div class="wizard-testng-configuration__step">
        <section class="wizard-testng-configuration__section _flex _centered">
            <div class="wizard-testng-configuration__section-content _left">
                <h2 class="wizard-testng-configuration__section-title">1. Build script configuration</h2>
            </div>
            <div class="wizard-testng-configuration__section-content _right">
                <md-radio-group class="wizard-testng-configuration__select"
                    ng-model="$ctrl.activeBuilder"
                    ng-change="$ctrl.onBuilderChange()"
                    md-no-ink>
                    <md-radio-button class="wizard-testng-configuration__select-option"
                        ng-repeat="builder in $ctrl.builders"
                        ng-value="builder"
                        md-no-ink
                        aria-label="{{builder}}">
                        {{builder}}
                    </md-radio-button>
                </md-radio-group>
            </div>
        </section>
        <section class="wizard-testng-configuration__section _flex">
            <div class="wizard-testng-configuration__section-content _left">
                <h3 class="wizard-testng-configuration__section-subtitle">Add project dependency</h3>
                <div class="wizard-testng-configuration__section-text">
                    <p>Declare agent dependency in your project’s build script. Note, that it comes bundled with TestNG 7.3.0, so we recommend to comment out or exclude your dependency to avoid runtime issues.</p>
                    <p>Please note, that <strong>bytebuddy</strong> dependency is optional and is only required for Selenium WebDriver sessions tracking.</p>
                </div>
            </div>
            <div class="wizard-testng-configuration__section-content _right">
                <div class="wizard-testng-configuration__code-wrapper">
                    <div class="wizard-testng-configuration__code-header">
                        <span class="wizard-testng-configuration__code-title"
                            ng-if="$ctrl.builderConfig.fileName">{{$ctrl.builderConfig.fileName}}</span>
                        <md-button class="wizard-testng-configuration__code-btn md-icon-button"
                            ng-if="$ctrl.builderConfig.model"
                            ng-click="$ctrl.copyCodeSnippet($ctrl.builderConfig.model)">
                            <md-icon class="material-icons">content_copy</md-icon>
                        </md-button>
                    </div>
                    <div class="wizard-testng-configuration__code-editor"
                        ng-if="$ctrl.builderConfig.aceOptions"
                        readonly
                        ui-ace="$ctrl.builderConfig.aceOptions"
                        ng-model="$ctrl.builderConfig.model">
                    </div>
                </div>
            </div>
        </section>
        <section class="wizard-testng-configuration__section _flex">
            <div class="wizard-testng-configuration__section-content _left">
                <h3 class="wizard-testng-configuration__section-subtitle">Optional: Selenium WebDriver sessions tracking</h3>
                <div class="wizard-testng-configuration__section-text">
                    <p>Additional configuration in your build script is required in order to allow agent to capture all events of <strong>RemoteDriverSession</strong> instances (or instances of its subclasses) and report them to Zebrunner. For Java-based projects VM argument referencing the core agent jar file needs to be added.</p>
                </div>
            </div>
            <div class="wizard-testng-configuration__section-content _right">
                <div class="wizard-testng-configuration__code-wrapper">
                    <div class="wizard-testng-configuration__code-header">
                        <span class="wizard-testng-configuration__code-title"
                            ng-if="$ctrl.builderOptionalConfig.fileName">{{$ctrl.builderOptionalConfig.fileName}}</span>
                        <md-button class="wizard-testng-configuration__code-btn md-icon-button"
                            ng-if="$ctrl.builderOptionalConfig.model"
                            ng-click="$ctrl.copyCodeSnippet($ctrl.builderOptionalConfig.model)">
                            <md-icon class="material-icons" role="img" aria-label="autorenew">content_copy</md-icon>
                        </md-button>
                    </div>
                    <div class="wizard-testng-configuration__code-editor"
                        ng-if="$ctrl.builderOptionalConfig.aceOptions"
                        readonly
                        ui-ace="$ctrl.builderOptionalConfig.aceOptions"
                        ng-model="$ctrl.builderOptionalConfig.model">
                    </div>
                </div>
            </div>
        </section>
        <section class="wizard-testng-configuration__section" ng-if="$ctrl.activeBuilder === 'maven'">
            <div class="wizard-testng-configuration__section-content">
                Please note, that once plugin configuration is in place you have to run Maven compile task (<strong>mvn clean compile</strong>).
            </div>
        </section>
    </div>
    <div class="wizard-testng-configuration__step">
        <section class="wizard-testng-configuration__section _flex">
            <div class="wizard-testng-configuration__section-content _left">
                <h2 class="wizard-testng-configuration__section-subtitle">2. Configure agent</h2>
                <div class="wizard-testng-configuration__section-text">
                    <p>Agent requires a few configuration parameters to be set in order to do its job. Configuration should be put into the root of <strong>resources</strong> folder in a file called <strong>agent.properties</strong>. Once configuration is in place agent will be ready to track your test run events without additional code changes.</p>
                </div>
            </div>
            <div class="wizard-testng-configuration__section-content _right">
                <div class="wizard-testng-configuration__code-wrapper">
                    <div class="wizard-testng-configuration__code-header">
                        <span class="wizard-testng-configuration__code-title"
                            ng-if="$ctrl.agentProperties.fileName">{{$ctrl.agentProperties.fileName}}</span>
                        <md-button class="wizard-testng-configuration__code-btn md-icon-button"
                            ng-if="$ctrl.agentProperties.model"
                            ng-click="$ctrl.copyCodeSnippet($ctrl.agentProperties.model)">
                            <md-icon class="material-icons" role="img" aria-label="autorenew">content_copy</md-icon>
                        </md-button>
                    </div>
                    <div class="wizard-testng-configuration__code-editor _big"
                        ng-if="$ctrl.agentProperties.aceOptions"
                        readonly
                        ui-ace="$ctrl.agentProperties.aceOptions"
                        ng-model="$ctrl.agentProperties.model">
                    </div>
                </div>
            </div>
        </section>
    </div>
    <footer class="wizard-testng-configuration__footer">
        See <a class="wizard-testng-configuration__footer-link" href="https://zebrunner.com/documentation/agents/testng" target="_blank">documentation</a> for more information on configuration options supported.
    </footer>
</div>
